giiMTInit(3)

NAME
giiMTInit : Make LibGII thread-safe

SYNOPSIS
#include <ggi/gii.h>
int giiMTInit(void);

DESCRIPTION
giiMTInit sets up LibGII so that it is fully thread-safe. This allows the application to call LibGII functions (on the same input) without doing its own locking. This will enable extra checks and locks that are off by default to avoid overhead. This function does not replace giiInit(3), which must still be called at least once.

RETURN VALUE
giiMTInit returns 0 on successful execution.

KNOWN BUGS
This function has not been well tested.

SEE ALSO
giiInit(3)